<template>
  <div class="base-input__wrapper">
    <Textarea
      class="base-textarea"
      v-model="model"
      :autoResize="autoresize"
      :rows="rows"
      :cols="cols"
    />
    <label :for="id" class="base-imput__label">{{ label }}</label>
  </div>
</template>

<script>
import { defineComponent, computed } from "vue"
import Textarea from "primevue/textarea"
export default defineComponent({
  props: {
    modelValue: {
      type: String,
    },
    autoresize: {
      type: Boolean,
      default: true,
    },
    rows: {
      type: String,
    },
    cols: {
      type: String,
    },
    label: {
      type: String,
    },
    id: {
      type: [String, Number],
      required: true,
    },
  },
  setup(props, { emit }) {
    const model = computed({
      get: () => props.modelValue,
      set: value => emit("update:modelValue", value),
    })

    return { model }
  },
  components: {
    Textarea,
  },
})
</script>
